Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface NamedDomainObjectFactory

    public interface NamedDomainObjectFactory

A factory for named objects of type `T`.

Parameters:
  `` - The type of objects which this factory creates.

Method Summary
`Object` | `create(String name)` Creates a new object with the given name.

Method Detail

### create

    public Object create(String name)

  Creates a new object with the given name.
  Parameters:
    `name` - The name
  Returns:
    The object.

Gradle API 1.1-rc-1